Bug 71752 - WTF should have an Xcode project
: WTF should have an Xcode project
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Template Framework
: 528+ (Nightly build)
: Macintosh Unspecified
: P2 Normal
Assigned To: Mark Rowe (bdash)
:
Depends on:
Blocks: 75673
  Show dependency treegraph
 
Reported: 2011-11-07 17:13 PST by Mark Rowe (bdash)
Modified: 2012-01-09 15:14 PST (History)
3 users (show)

See Also:


Attachments
Patch v1 (25.52 KB, patch)
2011-11-07 17:17 PST, Mark Rowe (bdash)
abarth: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Rowe (bdash) 2011-11-07 17:13:46 PST
Per the summary.
Comment 1 Mark Rowe (bdash) 2011-11-07 17:17:24 PST
Created attachment 113963 [details]
Patch v1

This adds an Xcode project that includes only Stub.cpp and Stub.h.  They’re built in to a library at the appropriate path for each configuration (WebKitBuild/{Debug,Release}/libWTF.a and /usr/local/lib/libWTF.a) and headers are installed in to the appropriate location (WebKitBuild/{Debug,Release}/usr/local/include/wtf and /usr/local/include/wtf). I tested building WTF in this project and everything appears to build except for DateMath.cpp (due to bug 71747). I have not yet done any work on making JavaScriptCore and other projects use the built products of this new project.
Comment 2 Adam Barth 2011-11-18 23:58:59 PST
Comment on attachment 113963 [details]
Patch v1

Now that bug 71747 is fixed, we should probably land this patch.  I'll add a ChangeLog.

Thanks Mark!
Comment 3 Adam Barth 2011-11-19 00:09:28 PST
Committed r100850: <http://trac.webkit.org/changeset/100850>
Comment 4 Mark Rowe (bdash) 2011-11-19 01:47:37 PST
It’s not clear to me why you landed my patch without first consulting with me. It wasn’t even marked for review! The patch was intentionally not flagged for review because I have not yet tested whether the built product is suitable for use by other projects. If I had wanted it to be reviewed I’d have set the review flag to ?, and if I had wanted it landed the commit-queue flag would also have been set.
Comment 5 Adam Barth 2011-11-19 10:25:20 PST
Oh, I'm sorry.  I misunderstood.  I thought we just needed to resolve bug 71747.  Given that the WTF folder isn't referenced by anything else yet, I don't see any harm in having landed it.

Maybe it would make sense to iterate on the xcodeproj now that it's landed?